### Method

# AppStream SystemInfo get_os_name

#### Declaration [src]

    const gchar*
    as_system_info_get_os_name (
      AsSystemInfo* sysinfo
    )

#### Description [src]

Get the humen-readable name of the current operating system.

#### Return value

Type: `const gchar*`

The name of the current OS.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.